Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 597732 - init script doesn't support status argument
init script doesn't support status argument
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: privoxy (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Karsten Hopp
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-30 06:19 EDT by Bob Tennent
Modified: 2012-08-16 14:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 14:38:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
correct init script for privoxy (9.11 KB, text/plain)
2010-06-18 21:32 EDT, Bob Tennent
no flags Details

  None (edit)
Description Bob Tennent 2010-05-30 06:19:47 EDT
Description of problem: Because the init script doesn't support the usual status argument, system-config-services says the service is either dead or "being refreshed" even when it's fine.



Version-Release number of selected component (if applicable): up to and including rawhide (fc14)


How reproducible: 


Steps to Reproduce:
1. run system-config-services
2. if the privoxy service is enabled, it'll display as "dead" even if started
3. if it's enabled, it'll display as "being refreshed"
  
Actual results:
as above

Expected results:
proper display of status

Additional info: Because privoxy dies relatively frequently, correct status information is needed.
Comment 1 Bob Tennent 2010-06-18 11:25:40 EDT
The /etc/init.d/privoxy script from privoxy-3.0.3-9.3.el5 seems to work fine (in Fedora).
Comment 2 Bob Tennent 2010-06-18 21:32:04 EDT
Created attachment 425277 [details]
correct init script for privoxy
Comment 3 Bob Tennent 2010-06-18 21:34:43 EDT
The privoxy package on Fedora uses the upstream privoxy-generic.init; but it should be
using an init script suitable for Fedora, which, for some reason, was omitted from the upstream tarball. I've attached it.
Comment 4 Bug Zapper 2010-07-30 07:45:41 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Fedora End Of Life 2012-08-16 14:38:11 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.